Bug 93235 - [regression] dispatch sanity broken by GetPointerv
Summary: [regression] dispatch sanity broken by GetPointerv
Status: CLOSED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Emil Velikov
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-03 21:30 UTC by Mark Janes
Modified: 2015-12-04 19:19 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2015-12-03 21:30:52 UTC
f53f9eb8d495a318bc8e6fd758df4ba4074599ef broke dispatch sanity on GLES2,3, and 3.1

/mnt/space/jenkins/jobs/Leeroy/workspace@3/repos/mesa/src/mesa/main/tests/dispatch_sanity.cpp:173
Value of: table[i]
  Actual: 0x4472b0
Expected: nop_table[i]
Which is: 0x415dc0
i = 329 (GetPointerv)


Author:     Emil Velikov <emil.l.velikov@gmail.com>
AuthorDate: Thu Nov 26 00:36:10 2015 +0000
Commit:     Emil Velikov <emil.l.velikov@gmail.com>
CommitDate: Thu Dec 3 19:17:48 2015 +0000

    glapi: add GetPointervKHR to the ES dispatch
    
    The KHR_debug extension implements this.
    
    Strictly speaking it could be used with ES 1.0, although as the original
    function is available on ES 1.1, I'm inclined to lift the KHR_debug
    requirement to ES 1.1.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=93048
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Timothy Arceri <timothy.arceri@collabora.com>
Comment 1 Emil Velikov 2015-12-03 22:01:37 UTC
The following patch fixes the problem on my end
http://patchwork.freedesktop.org/patch/67060/
Comment 2 Emil Velikov 2015-12-04 14:38:18 UTC
A fix has landed in master. Sorry for the breakage and thanks for the prompt report.

commit 1074e38fbbc89a06c74f036622cbe2778bee993a
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Thu Dec 3 22:01:31 2015 +0000

    mesa/tests: add KHR_debug GLES glGetPointervKHR entry points


bug/show.html.tmpl processed on Mar 30, 2017 at 22:37:31.
(provided by the Example extension).